Index: trunk/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- trunk/contactcenter/inc/class.ui_data.inc.php	(revision 1517)
+++ trunk/contactcenter/inc/class.ui_data.inc.php	(revision 1599)
@@ -14,5 +14,5 @@
   \***************************************************************************/
 
-	
+
 	class ui_data
 	{
@@ -20,8 +20,8 @@
 			'data_manager' => true,
 		);
-		
+
 		var $bo;
 		var $typeContact;
-		
+
 		var $page_info = array(
 			'n_cards'          => 20,
@@ -34,12 +34,12 @@
 			'actual_catalog'   => false
 		);
-		
+
 		/*!
-		
+
 			@function ui_data
 			@abstract The constructor. Sets the initial parameters and loads
 				the data saved in the session
 			@author Raphael Derosso Pereira
-			
+
 		*/
 		function ui_data()
@@ -47,7 +47,7 @@
 			$temp = $GLOBALS['phpgw']->session->appsession('ui_data.page_info','contactcenter');
 			$temp2 = $GLOBALS['phpgw']->session->appsession('ui_data.all_entries','contactcenter');
-			
+
 			$this->bo = CreateObject('contactcenter.bo_contactcenter');
-			
+
 			if ($temp)
 			{
@@ -59,5 +59,5 @@
 				$this->all_entries = $temp2;
 			}
-			
+
 			if (!$this->page_info['actual_catalog'])
 			{
@@ -65,13 +65,16 @@
 				$this->page_info['actual_catalog'] = $catalogs[0];
 			}
-			
-			$this->page_info['actual_catalog'] =& $this->bo->set_catalog($this->page_info['actual_catalog']);			
-			
+
+			$this->page_info['actual_catalog'] =& $this->bo->set_catalog($this->page_info['actual_catalog']);
+
+
 			if($this->page_info['actual_catalog']['class'] == 'bo_group_manager')
 				$this -> typeContact = 'groups';
+/**rev 104**/
 			else if($this->page_info['actual_catalog']['class'] == 'bo_shared_group_manager')
 				$this -> typeContact = 'shared_groups';
 			else if($this->page_info['actual_catalog']['class'] == 'bo_shared_people_manager')
 				$this -> typeContact = 'shared_contacts';
+/******/
 			else
 				$this -> typeContact = 'contacts';
@@ -79,13 +82,13 @@
 
 		/*!
-		
+
 			@function index
 			@abstract Builds the Main Page
 			@author Raphael Derosso Pereira
 			@author Jonas Goes
-			
-		*/		
+
+		*/
 		function index()
-		{	
+		{
 			if(!@is_object($GLOBALS['phpgw']->js))
 			{
@@ -96,11 +99,11 @@
 			$GLOBALS['phpgw']->js->validate_file('venus','jsStructUtil');
 			$GLOBALS['phpgw']->js->validate_file('venus','cssUtil');
-			
+
 //			$GLOBALS['phpgw']->js->set_onload('setTimeout(\'updateCards()\',1000)');
 			$GLOBALS['phpgw']->common->phpgw_header();
-			
+
 			$GLOBALS['phpgw']->template->set_file(array('index' => 'index.tpl'));
 			$GLOBALS['phpgw']->template->set_var('cc_root_dir', $GLOBALS['phpgw_info']['server']['webserver_url'].'/contactcenter/');
-			
+
 			/* Quick Add */
 			$GLOBALS['phpgw']->template->set_var('cc_qa_alias',lang('Alias').':');
@@ -113,5 +116,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_qa_close',lang('Close'));
 			/* End Quick Add */
-			
+
 			$cc_css_file = $GLOBALS['phpgw_info']['server']['webserver_url'].'/contactcenter/styles/cc.css';
 			$cc_card_image_file = $GLOBALS['phpgw_info']['server']['webserver_url'].'/contactcenter/templates/default/images/card.png';
@@ -119,11 +122,14 @@
 			$GLOBALS['phpgw']->template->set_var('cc_dtree_css', $cc_dtree_file);
 			$GLOBALS['phpgw']->template->set_var('cc_card_image',$cc_card_image_file);
-			
+
 			$GLOBALS['phpgw']->template->set_var('cc_personal',lang('Personal'));
-			
+
+/***rev 104***/
+			//$GLOBALS['phpgw']->template->set_var('cc_full_add',lang('Full Add'));
 			$GLOBALS['phpgw']->template->set_var('cc_full_add_button',lang('Full Add'));
-			$GLOBALS['phpgw']->template->set_var('cc_full_add_button_sh',lang('Full Add Shared'));
+/******/
+                        $GLOBALS['phpgw']->template->set_var('cc_full_add_button_sh',lang('Full Add Shared'));
 			$GLOBALS['phpgw']->template->set_var('cc_reset',lang('Reset'));
-			
+
 			$GLOBALS['phpgw']->template->set_var('cc_personal_data',lang('Personal Data'));
 			$GLOBALS['phpgw']->template->set_var('cc_addresses',lang('Addresses'));
@@ -134,5 +140,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_catalogs',lang('Catalogues'));
 			$GLOBALS['phpgw']->template->set_var('cc_group_add',lang('Group Add'));
-			
+
 			/* Panel */
 			$GLOBALS['phpgw']->template->set_var('cc_panel_new',lang('New').'...');
@@ -142,5 +148,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_btn_import_export', lang('Import/Export'));
 			$GLOBALS['phpgw']->template->set_var('cc_btn_new', lang("New..."));
-			
+
 			$GLOBALS['phpgw']->template->set_var('cc_panel_search_found',lang('Showing found entries'));
 			$GLOBALS['phpgw']->template->set_var('cc_panel_first_page',lang('First Page'));
@@ -150,8 +156,10 @@
 			$GLOBALS['phpgw']->template->set_var('cc_all',lang('all'));
 			/* End Panel */
-			
+
 			/* Messages */
+/**rev 104**/
 			$GLOBALS['phpgw']->template->set_var('cc_msg_not_allowed',lang('Not Allowed'));
-			$GLOBALS['phpgw']->template->set_var('cc_msg_unavailable',lang('Unavailable function'));			
+			$GLOBALS['phpgw']->template->set_var('cc_msg_unavailable',lang('Unavailable function'));
+/*****/
 			$GLOBALS['phpgw']->template->set_var('cc_msg_no_cards',lang('No Cards'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_err_no_room',lang('No Room for Cards! Increase your browser area.'));
@@ -167,5 +175,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_empty',lang('Empty'));
 			/* End Messages */
-			
+
 			$GLOBALS['phpgw']->template->set_var('cc_results',lang('Results'));
 			$GLOBALS['phpgw']->template->set_var('cc_is_my',lang('Is My'));
@@ -173,5 +181,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_btn_search',lang('Search'));
 			$GLOBALS['phpgw']->template->set_var('cc_add_relation',lang('Add Relation'));
-			$GLOBALS['phpgw']->template->set_var('cc_del_relation',lang('Remove Selected Relations'));			
+			$GLOBALS['phpgw']->template->set_var('cc_del_relation',lang('Remove Selected Relations'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_group',lang('Group'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_contact_full',lang('Contact [Full]'));
@@ -214,5 +222,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_msg_corporative_cellphone', lang('Corporative Cellphone'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_corporative_fax', lang('Corporative Fax'));
-			$GLOBALS['phpgw']->template->set_var('cc_msg_corporative_pager', lang('Corporative Pager'));			
+			$GLOBALS['phpgw']->template->set_var('cc_msg_corporative_pager', lang('Corporative Pager'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_work', lang('Work'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_fax', lang('Fax'));
@@ -234,5 +242,5 @@
 			$GLOBALS['phpgw']->template->set_var('cc_msg_add_contact_to_group', lang('You did not add any contact for this group.'));
 			$GLOBALS['phpgw']->template->set_var('cc_msg_fill_field_name', lang('Fill the field Full Name'));
-			
+
 			if($GLOBALS['phpgw_info']['server']['personal_contact_type']=='True'){
 				$GLOBALS['phpgw']->template->set_var('cc_contact_type', 'advanced');
@@ -241,5 +249,5 @@
 			}
 			$GLOBALS['phpgw']->template->parse('out','index');
-			
+
 			$api = CreateObject('contactcenter.ui_api');
 			$main = $api->get_full_add();
@@ -252,12 +260,12 @@
 		}
 
-		
+
 		/*!
-		
+
 			@function data_manager
-			@abstract Calls the right method and passes to it the right 
+			@abstract Calls the right method and passes to it the right
 				parameters
 			@author Raphael Derosso Pereira
-		
+
 		*/
 		function data_manager()
@@ -268,6 +276,6 @@
 				case 'set_n_cards':
 					return $this->set_n_cards((int)$_GET['ncards']);
-					
-				case 'get_cards_data':					
+
+				case 'get_cards_data':
 					$ids = false;
 					// To support ldap catalogs using accentuation
@@ -276,9 +284,10 @@
 						$ids = utf8_decode($this->search($_POST['data']));
 					}
-					
+
 					if(isset($_SESSION['ids']))
 						$ids = $_SESSION['ids'];
-					
-					return $this->get_cards_data($_POST['letter'], $_POST['page'], $ids);						
+
+					return $this->get_cards_data($_POST['letter'], $_POST['page'], $ids);
+
 				case 'get_cards_data_get':
 					return $this->get_cards_data($_GET['letter'], $_GET['page'], unserialize(str_replace('\\"','"',$_GET['ids'])));
@@ -291,9 +300,9 @@
 					echo $this->get_visible_all_ldap();
 					return;
-					
+
 				/* Catalog Methods */
 				case 'set_catalog':
 					return $this->set_catalog($_GET['catalog']);
-					
+
 				case 'get_catalog_tree':
 					echo serialize($this->get_catalog_tree($_GET['level']));
@@ -307,21 +316,24 @@
 					echo serialize($this->get_catalog_participants_list($_POST['id']));
 					return;
-				
+/**rev 104**/
 				case 'get_catalog_participants_group':
 					echo serialize($this->get_catalog_participants_group($_POST['id']));
 					return;
-
+/***/
 				case 'get_catalog_add_contact':
 					// To support ldap catalogs with accentuation
 					echo serialize($this->get_catalog_add_contact(utf8_decode($_POST['id'])));
 					return;
-					
+
 				/* Full Add Methods */
 				case 'get_full_data':
+					//return $this->get_full_data($_GET['id']);
+/**rev 104**/
 					return $this->get_full_data($_GET['id'],$_GET['catalog']);
-				
+/****/
+
 				case 'get_group':
 					return $this->get_group_data($_GET['id'],isset($_GET['shared_from'])?$_GET['shared_from']:null);
-					
+
 				case 'get_contact_full_add_const':
 					return $this->get_contact_full_add_const();
@@ -338,25 +350,25 @@
 				case 'get_states':
 					return $this->get_states($_GET['country']);
-					
+
 				case 'get_cities':
 					return $this->get_cities($_GET['country'], $_GET['state'] ? $_GET['state'] : null);
-					
-					
+
+
 				/* Other Methods */
-				case 'quick_add':															
+				case 'quick_add':
 					return $this->quick_add($_POST['add']);
-				
-				case 'add_group':															
+
+				case 'add_group':
 					return $this->add_group($_POST['add']);
-									
+
 				case 'remove_entry':
 					return $this->remove_entry((int)$_GET['remove']);
-				
+
 				case 'remove_all_entries':
 					return $this->remove_all_entries();
 
 				case 'remove_group':
-					 					
-					return $this->remove_group((int)$_GET['remove']);					
+
+					return $this->remove_group((int)$_GET['remove']);
 
 				case 'search':
@@ -397,11 +409,11 @@
 
 		/*!
-		
+
 			@function set_n_cards
 			@abstract Informs the class the number of cards the page can show
 			@author Raphael Derosso Pereira
-			
+
 			@param integer $n_cards The number of cards
-			
+
 		*/
 		function set_n_cards($n_cards)
@@ -412,17 +424,17 @@
 				echo 1;
 			}
-			
+
 			$this->save_session();
 		}
-				
+
 		/*!
-		
+
 			@function set_catalog
 			@abstract Sets the current catalog selected by the user
 			@author Raphael Derosso Pereira
-			
+
 			@param string $id_catalog The sequence of IDs to reach the catalog
 				separated by commas
-		
+
 		*/
 		function set_catalog($id_catalog)
@@ -430,5 +442,5 @@
 			$id_catalog = str_replace('\\"', '"', $id_catalog);
 			$temp =& $this->bo->set_catalog($id_catalog);
-			
+
 			if ($temp)
 			{
@@ -437,7 +449,7 @@
 				$this->page_info['actual_catalog'] =& $temp;
 				$this->save_session();
-				
+
 				$catalog_info = $this->bo->get_branch_by_level($this->bo->catalog_level[0]);
-				
+
 				if ($catalog_info['class'] === 'bo_global_ldap_catalog' ||
 				    $catalog_info['class'] === 'bo_catalog_group_catalog')
@@ -449,5 +461,5 @@
 					$perms = 15;
 				}
-				
+
 				echo serialize(array(
 					'status' => 'ok',
@@ -457,5 +469,5 @@
 				return;
 			}
-			
+
 			echo serialize(array(
 				'status' => 'ok',
@@ -463,16 +475,16 @@
 			));
 		}
-		
-		
+
+
 		/*!
-		
+
 			@function get_catalog_tree
 			@abstract Returns the JS serialized array to used as the tree
 				level
 			@author Raphael Derosso Pereira
-            @author Mário César Kolling (error messages and timeout)
-			
-			@param (string) $level The level to be taken 
-		
+            @author Mï¿œrio Cï¿œsar Kolling (error messages and timeout)
+
+			@param (string) $level The level to be taken
+
 		*/
 		function get_catalog_tree($level)
@@ -483,5 +495,5 @@
 
 				$parent = '0';
-				
+
 				if (!($tree = $this->bo->get_catalog_tree($level)))
 				{
@@ -515,8 +527,8 @@
 				}
 			}
-			
+
 			$folderImageDir = $GLOBALS['phpgw']->common->image('contactcenter','globalcatalog-mini.png');
 			$folderImageDir = substr($folderImageDir, 0, strpos($folderImageDir, 'globalcatalog-mini.png'));
-			
+
 			// Deals with error messages from the server and returns them to the browser
 			if ($tree['msg'])
@@ -546,7 +558,7 @@
 			}
 		}
-		
+
 		/*!
-		
+
 			@function get_actual_catalog
 			@abstract Returns the actual selected Catalog
@@ -555,7 +567,7 @@
 		*/
 		function get_actual_catalog()
-		{			
+		{
 			$level = $this->bo->get_level_by_branch($this->bo->get_actual_catalog(), $this->bo->tree['branches'], '0');
-			
+
 			if ($level)
 			{
@@ -571,13 +583,13 @@
 			);
 		}
-		
+
 		/*!
-		
+
 			@function get_cards_data
 			@abstract Returns the information that is placed on the cards
 			@author Raphael Derosso Pereira
-			
+
 			@param string $letter The first letter to be searched
-			@param (int)  $page The page to be taken 
+			@param (int)  $page The page to be taken
 			@param (str)  $ids The ids to be taken in case of search
 
@@ -588,5 +600,5 @@
 		{
 			if( $ids )
-				$_SESSION['ids'] = $ids;		   
+				$_SESSION['ids'] = $ids;
 
 			// It's an external catalog?
@@ -594,14 +606,18 @@
 			//echo $page."\n";
 			if ($letter !== 'search' and ($letter != $this->page_info['actual_letter'] or
-			    ($letter == $this->page_info['actual_letter'] and $page == $this->page_info['actual_page']) or 
+			    ($letter == $this->page_info['actual_letter'] and $page == $this->page_info['actual_page']) or
 			    $this->page_info['changed']))
 			{
 				unset($ids);
 				$this->page_info['changed'] = false;
+
 				switch ($this->page_info['actual_catalog']['class'])
 				{
+/**rev 104**/
 					case 'bo_shared_people_manager':
+/****/
 					case 'bo_people_catalog':
 						$field_name = 'id_contact';
+
 						if ($letter !== 'number')
 						{
@@ -611,5 +627,12 @@
 									'type'  => 'iLIKE',
 									'value' => $letter !== 'all' ? $letter.'%' : '%'
-								)								
+/**rev 104**/
+	/*							),
+								1 => array(
+									'field' => 'contact.id_owner',
+									'type'  => '=',
+									'value' => $GLOBALS['phpgw_info']['user']['account_id']
+	*/
+								)
 							);
 
@@ -617,6 +640,6 @@
                                 			$so_contact = CreateObject('contactcenter.so_contact',  $GLOBALS['phpgw_info']['user']['account_id']);
                                 			$relacionados = $so_contact->get_relations();
-							
-							$perms_relacao = array();				
+
+							$perms_relacao = array();
 
                         				foreach($relacionados as $uid_relacionado => $tipo_relacionamento) {
@@ -650,7 +673,7 @@
                                         			$n=$this->bo->catalog->src_info['dn'];
                                         			$apenasThese = array("cn","uidnumber","uid");
-                                        			$r = ldap_search($s,$n, $filtro,$apenasThese);                                        
+                                        			$r = ldap_search($s,$n, $filtro,$apenasThese);
                                         			$infos = ldap_get_entries($s, $r);
-                                        			ldap_close($s);                                                                       
+                                        			ldap_close($s);
                                         			for($z = 0; $z < $infos['count']; $z++) {
                                                 			$prop_names[$infos[$z]['uidnumber'][0]] = array("cn" => $infos[$z]['cn'][0], "uid" => $infos[$z]['uid'][0]);
@@ -666,4 +689,6 @@
 								);
 							}
+/****/
+
 						}
 						else
@@ -725,4 +750,12 @@
 										),
 									),
+/**rev 104**/
+/*								),
+								1 => array(
+									'field' => 'contact.id_owner',
+									'type'  => '=',
+									'value' => $GLOBALS['phpgw_info']['user']['account_id']
+								),
+*/
 								)
 							);
@@ -736,16 +769,20 @@
 							);
 						}
-						
-						
+/*****/
+
 						$find_field[0] = array('contact.id_contact','contact.names_ordered');
-						
+
 						$find_other[0] = array(
+/**rev 104**/
+							//'offset' => (($page-1)*$this->page_info['n_cards']),
+							//'limit'  => $this->page_info['n_cards'],
+/*****/
 							'order'  => 'contact.names_ordered'
 						);
-						
+
 						break;
-					
+
 					case 'bo_global_ldap_catalog':
-					
+
 						$field_name = 'id_contact';
 
@@ -760,4 +797,5 @@
 								/*
 								 * Restrict the returned contacts in a "first letter" search
+/**rev 104
 								 * to objectClass = phpgwAccount, must have attibute phpgwAccountStatus,
 								 * phpgwAccountVisible != -1
@@ -767,15 +805,32 @@
 									'type'  => '=',
 									'value' => 'phpgwAccount'
+/**rev 104**/
+								//),/*
 								),
+/****/
 								2 => array(
 									'field' => 'contact.account_status',
 									'type'  => 'iLIKE',
 									'value' => '%'
+/**rev 104**/
+								//),*/
+								//2 => array(
 								),
 								3 => array(
+/*****/
 									'field' => 'contact.account_visible',
 									'type'  => '!=',
 									'value' => '-1'
+/**rev 104**/
+	/*							),
+								3 => array(
+									'field' => 'contact.object_class',
+									'type'  => '=',
+									'value' => 'inetOrgPerson'
+								),
+	*/
 								)
+/*****/
+
 							);
 							// If not external catalog get only phpgwAccountType = u ou l
@@ -795,9 +850,12 @@
 											'type'  => '=',
 											'value' => 'i'
+/**rev 104**/
 											),
 											2 => array(
 											'field' => 'contact.account_type',
 											'type'  => '=',
+/****/
 											'value' => 'l'
+/**rev 104**/
 											),
 											3 => array(
@@ -805,4 +863,5 @@
 											'type'  => '=',
 											'value' => 'g'
+/***/
 											)
 										)
@@ -815,4 +874,5 @@
 								/*
 								 * Restrict the returned contacts in a "first number" search
+/**rev 104
 								 * to objectClass = phpgwAccount, must have attibute phpgwAccountStatus,
 								 * phpgwAccountVisible != -1
@@ -822,15 +882,30 @@
 									'type'  => '=',
 									'value' => 'phpgwAccount'
+/**rev 104**/
+								//),/*
 								),
+/****/
 								1 => array(
 									'field' => 'contact.account_status',
 									'type'  => 'iLIKE',
 									'value' => '%'
+/**rev 104**/
+								//),*/
+								//1 => array(
 								),
 								2 => array(
+/*****/
 									'field' => 'contact.account_visible',
 									'type'  => '!=',
 									'value' => '-1'
 								),
+/**rev 104**/
+	/*							2 => array(
+									'field' => 'contact.object_class',
+									'type'  => '=',
+									'value' => 'inetOrgPerson'
+								),
+	*/
+/****/
 								3 => array(
 									'type'  => 'branch',
@@ -905,10 +980,16 @@
 										'field' => 'contact.account_type',
 										'type'  => '=',
+/**rev 104**/
+										//'value' => 'g'
+										//);
+										//1 => array(
 										'value' => 'i'
 										),
 										2 => array(
+/****/
 										'field' => 'contact.account_type',
 										'type'  => '=',
 										'value' => 'l'
+/**rev 104**/
 										),
 										3 => array(
@@ -917,5 +998,5 @@
 										'value' => 'g'
 										)
-										
+/****/
 									)
 								);
@@ -928,5 +1009,5 @@
 							// for non-external catalogs, used to restrict the attributes used in filters
 							$find_field[0] = array('contact.id_contact','contact.names_ordered','contact.account_type',
-								'contact.object_class',/*'contact.account_status',*/'contact.account_visible');
+								'contact.object_class','contact.account_visible');
 						}
 						else
@@ -936,5 +1017,5 @@
 							$find_field[0] = array('contact.id_contact','contact.names_ordered');
 						}
-						
+
 						$find_other[0] = array(
 							//'offset' => (($page-1)*$this->page_info['n_cards']),
@@ -942,12 +1023,12 @@
 							'order'  => 'contact.names_ordered'
 						);
-						
+
 						break;
-					
+
 					case 'bo_company_manager':
 						$field_name = 'id_company';
-	
+
 						$find_field[0] = array('company.id_company','company.company_name');
-						
+
 						$find_other[0] = array(
 							//'offset' => (($page-1)*$this->page_info['n_cards']),
@@ -955,5 +1036,5 @@
 							'order'  => 'company.company_name'
 						);
-	
+
 						$find_restric[0] = array(
 							0 => array(
@@ -963,14 +1044,16 @@
 							)
 						);
-							
+
 						break;
 
 					case 'bo_group_manager':
+/**rev 104**/
 					case 'bo_shared_group_manager':
-												
+/****/
+
 						$field_name = 'id_group';
-						
+
 						if ($letter !== 'number')	{
-							
+
 							$find_restric[0] = array(
 								0 => array(
@@ -982,39 +1065,40 @@
 						}
 						 else {
-							
+
 							$find_restric[0] = array(
 								0 => array(
 											'field' => 'group.title',
 											'type'  => 'LIKE',
-											'value' => '0%'										
+											'value' => '0%'
 								)
-							);						
+							);
 						}
-						
+/**rev 104**/
 						if($this->page_info['actual_catalog']['class'] == 'bo_group_manager'){
+/****/
 							array_push($find_restric[0],  array(
 											'field' => 'group.owner',
 											'type'  => '=',
-											'value' => $GLOBALS['phpgw_info']['user']['account_id']										
+											'value' => $GLOBALS['phpgw_info']['user']['account_id']
 									)
 							);
 						}
-						
-						$find_field[0] = array('group.id_group','group.title','group.short_name');						
+
+						$find_field[0] = array('group.id_group','group.title','group.short_name');
 						$find_other[0] = array(
 							'order'  => 'group.title'
-						);						
+						);
 						break;
-					
+
 					case 'bo_catalog_group_catalog':
 						$this->page_info['actual_entries'] = false;
-						
+
 						$this->page_info['actual_letter'] = $letter;
 						$this->page_info['actual_page'] = 0;
-						
+
 						$this->save_session();
 						$final[0] = 0;
 						$final[1] = $this->typeContact;
-						echo serialize($final);						
+						echo serialize($final);
 						return;
 
@@ -1023,5 +1107,5 @@
 				$result = $this->bo->find($find_field[0],$find_restric[0],$find_other[0]);
 				$n_entries = count($result);
-				
+
 				if ($n_entries)
 				{
@@ -1036,14 +1120,13 @@
 				if (!$result)
 				{
-					
 					$this->page_info['actual_entries'] = false;
-					
+
 					$this->page_info['actual_letter'] = $letter;
 					$this->page_info['actual_page'] = 0;
-					
-					$this->save_session();				
+
+					$this->save_session();
 					$final[0] = 0;
 					$final[1] = $this->typeContact;
-					echo serialize($final);											
+					echo serialize($final);
 					return;
 				}
@@ -1053,9 +1136,13 @@
 					foreach ($result as $id => $value)
 					{
+/**rev 104**/
+					//	$this->page_info['actual_entries'][] = $value[$field_name];
+					//}
 						if($this->page_info['actual_catalog']['class'] != 'bo_shared_people_manager' && $this->page_info['actual_catalog']['class'] != 'bo_shared_group_manager')
 							$this->page_info['actual_entries'][] = $value[$field_name];
 						else
 							$this->page_info['actual_entries'][] = array(0=>$value[$field_name],1=>$value['perms'],2=>$value['owner']);
-					} 
+					}
+/****/
 					//print_r($this->page_info['actual_entries']);
 				}
@@ -1066,14 +1153,16 @@
 				if (!$ids)
 				{
+/**rev 104**/
 					//error_log('!$ids e $this->page_info[\'actual_letter\'] != search');
+/*****/
 					$this->page_info['actual_entries'] = false;
-					
+
 					$this->page_info['actual_letter'] = $letter;
 					$this->page_info['actual_page'] = 0;
-					
+
 					$this->save_session();
 					$final[0] = 0;
 					$final[1] = $this -> typeContact;
-					echo serialize($final);					
+					echo serialize($final);
 					return;
 				}
@@ -1092,5 +1181,5 @@
 				}
 				else if ($ids)
-				{				
+				{
 					$this->page_info['actual_letter']  = $letter;
 					$this->page_info['actual_entries'] = $ids;
@@ -1109,5 +1198,5 @@
 					$page = $this->page_info['n_pages'];
 				}
-				
+
 				$final = array(
 					0 => (int)$this->page_info['n_pages'],
@@ -1121,40 +1210,51 @@
 						5 => 'cc_alias',
 						6 => 'cc_id',
-						7 => 'cc_forwarding_address'						
+						7 => 'cc_forwarding_address',
+						8 => 'cc_empNumber',
+						9 => 'cc_department',
+						10 => 'cc_mobile'
 					)
 				);
-				
+
 				//echo 'Page: '.$page.'<br>';
 				$id_i = (($page-1)*$this->page_info['n_cards']);
 				$id_f = $id_i + $this->page_info['n_cards'];
 				$n_entries = count($this->page_info['actual_entries']);
-				
+
 				//echo 'ID_I: '.$id_i.'<br>';
 				//echo 'ID_F: '.$id_f.'<br>';
-				
+				///---------------- Correï¿œï¿œo Temporï¿œria PHP5 -----------------------///
+
 				$ids = array();
+/**rev 104**/
 				$perms = array();
 				$owners = array();
-				$array_temp = array();			
-				
+/****/
+				$array_temp = array();
+
 				foreach($this->page_info['actual_entries'] as $key=>$tmp){
-						$array_temp[] = $tmp;				
-				}
-			
+					$array_temp[] = $tmp;
+				}
+
 				for($i = $id_i; $i < $id_f and $i < $n_entries; $i++)
 				{
+/**rev 104**/
 					if($this->page_info['actual_catalog']['class'] != 'bo_shared_people_manager' && $this->page_info['actual_catalog']['class'] != 'bo_shared_group_manager')
+					{
+/****/
 						$ids[] = $array_temp[$i];
-					else {
+/**rev 104**/
+					}else {
 						$ids[] = $array_temp[$i][0];
 						$perms[] = $array_temp[$i][1];
 						$owners[] = $array_temp[$i][2];
+/****/
 					}
-					//$perms[] = $array_temp[$i];
-				}
-				
+				}
+
+/**rev 104**/
 				// Carrega o nome completo dos donos dos objetos (contatos e grupos);
 				$owner_names = array();
-							
+
 				if($owners) {
 					$filter = "(|";
@@ -1168,14 +1268,18 @@
 						$this->bo->catalog->src_info = $ldap->srcs[1];
 					}
-					$ds = $GLOBALS['phpgw']->common->ldapConnect($this->bo->catalog->src_info['host'], $this->bo->catalog->src_info['acc'], $this->bo->catalog->src_info['pw'], false);				
+					$ds = $GLOBALS['phpgw']->common->ldapConnect($this->bo->catalog->src_info['host'], $this->bo->catalog->src_info['acc'], $this->bo->catalog->src_info['pw'], false);
 					$dn=$this->bo->catalog->src_info['dn'];
 					$justThese = array("cn","uidnumber","uid");
-					$sr = ldap_search($ds,$dn, $filter,$justThese);								
+					$sr = ldap_search($ds,$dn, $filter,$justThese);
 					$info = ldap_get_entries($ds, $sr);
-					ldap_close($ds);											
+					ldap_close($ds);
 					for($z = 0; $z < $info['count']; $z++) {
 						$owner_names[$info[$z]['uidnumber'][0]] = array("cn" => $info[$z]['cn'][0], "uid" => $info[$z]['uid'][0]);
-					}				
-				}
+					}
+				}
+
+/*****/
+
+
 				/// Original
 				//for($i = $id_i; $i < $id_f and $i < $n_entries; $i++)
@@ -1184,6 +1288,10 @@
 				//}
 				///
+
 				$fields = $this->bo->catalog->get_fields(false);
+/**rev 104**/
+				//if( $this->typeContact == 'groups') {
 				if( $this->typeContact == 'groups' || $this->typeContact == 'shared_groups') {
+/****/
 					$final = array(
 						0 => (int)$this->page_info['n_pages'],
@@ -1194,16 +1302,17 @@
 							2 => 'cc_id',
 							3 => 'cc_contacts'
-						)						
-					);					
+						)
+					);
+
 					$groups =& $this->bo->catalog->get_multiple_entries($ids,$fields);
-															
+
 					$i = 0;
 					// contatos do grupo
-					$boGroups = CreateObject('contactcenter.bo_group');					
+					$boGroups = CreateObject('contactcenter.bo_group');
 					$contacts = array();
-					
-					foreach($groups as $group)		{	
+					foreach($groups as $group)		{
+
 						$final[3][$i][0] = $group['title'] ? $group['title'] : 'none';
-						$final[3][$i][1] = $group['short_name'] ? $group['short_name'] : 'none';						
+						$final[3][$i][1] = $group['short_name'] ? $group['short_name'] : 'none';
 						$final[3][$i][2] = $group['id_group'] ? $group['id_group'] : 'none';
 						$contacts = $boGroups -> get_contacts_by_group($group['id_group']);
@@ -1217,19 +1326,24 @@
 						$i++;							
 					}
-					
+
 					$this->page_info['actual_letter'] = $letter;
-					$this->page_info['actual_page'] = $page;					
-					
-					
+					$this->page_info['actual_page'] = $page;
+
+
 					$lnk_compose = "location.href=('../expressoMail1_2/index.php?to=";
-					
-					$final[5] = '<span class="link"  onclick="'.$lnk_compose;					
-					$final[10] = $this->typeContact;																										
-					$this->save_session();					
+
+					$final[5] = '<span class="link"  onclick="'.$lnk_compose;
+/**rev 104**/
+					//$final[10] = 'groups';
+					$final[10] = $this->typeContact;
+/******/
+					$this->save_session();
 					echo serialize($final);
-					return;					
-				}
+					return;
+				}
+/**rev 104**/
 				$final[10] = $this -> typeContact;
-				
+/*****/
+
 				$fields['photo'] = true;
 				$fields['names_ordered'] = true;
@@ -1238,11 +1352,20 @@
 				$fields['companies'] = 'default';
 				$fields['connections'] = 'default';
+
+/**rev 104**/
+				// ?aqui alterar a chamada desse mï¿œtodo para receber o base dn?
+				//$contacts = &$this->bo->catalog->get_multiple_entries($ids,$fields);
+
 				// ?aqui alterar a chamada desse método para receber o base dn?
 				if($external)
+				{
 					$contacts = &$this->bo->catalog->get_multiple_entries($ids,$fields,false,true);
-				else
+				} else{
 					$contacts = &$this->bo->catalog->get_multiple_entries($ids,$fields);
-				
-				
+				}
+
+/*******/
+
+
 				if (!is_array($contacts) or !count($contacts))
 				{
@@ -1252,14 +1375,18 @@
 					return;
 				}
-				
+
 				$i = 0;
 				foreach($contacts as $index => $contact)
 				{
 					/*
-					 * TODO: Os timeouts de conexão foram retirados, ver se será necessário retornar essa funcionalidade, e,
-					 * neste caso, terminar a implementação das mensagens de retorno.
+					 * TODO: Os timeouts de conexï¿œo foram retirados, ver se serï¿œ necessï¿œrio retornar essa funcionalidade, e,
+					 * neste caso, terminar a implementaï¿œï¿œo das mensagens de retorno.
 					 */
 					if ($index !== 'error'){
 						$final[3][$i][0] = $contact['companies']['company1']['company_name']?$contact['companies']['company1']['company_name']:'none';
+
+/**rev 104**/
+						//$final[3][$i][1] = $contact['names_ordered'] ? $contact['names_ordered'] : 'none';
+
 						if($this->page_info['actual_catalog']['class']!='bo_global_ldap_catalog'){
 							$final[3][$i][1] = $contact['names_ordered'] ? urldecode($contact['names_ordered'])  : 'none';
